## ros-melodic-scenario-test-tools 0.6.19

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(scenario_test_tools)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS
    scripts/dummy_behavior.py
    scripts/example_move_base.py
    scripts/example_test.py
    scripts/move_base_success.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-scenario-test-tools (0.6.19-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Tue, 01 Dec 2020 23:00:00 -0000

ros-melodic-scenario-test-tools (0.6.18-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.17-1bionic) bionic; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #283 <https://github.com/ipa320/cob_command_tools/issues/283> from LoyVanBeek/feature/await_connections
    Allow scripts to await for ScriptableActionServers to be connected
  * Allow scripts to await for ScriptableActionSeervers to be connected
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Loy van Beek <lvb@mojin-robotics.de>  Fri, 16 Oct 2020 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.16-1bionic) bionic; urgency=high

  * Merge pull request #277 <https://github.com/ipa320/cob_command_tools/issues/277> from LoyVanBeek/feature/document_move_base
    Document move base
  * Sort CMakelist
  * Document other scripts
  * Give 'always_succeeding_move_base' a shorter name
  * Allow to both abort a goal but also send a result with that abort signal
  * fixup! Add another example for move_base
  * Document example_move_base further
  * Add another example for move_base
  * make publishing transform configurable
  * get params from private ns
  * get timeout param
  * use node name
  * Catch exceptions when replying to show a better error message
  * Log how long a eply will wait for a goal
  * Set default timeout to None, to match the documentation
  * Put move_base a private namespace
  * Use the default_reply_delay in other reply-methods as well by default
  * Make names for reply_delay and 'think' more consistent
  * Make result_delay an optional parameter
  * Add more docs for ScriptableActionServer
  * Add example move base script
  * Merge pull request #274 <https://github.com/ipa320/cob_command_tools/issues/274> from LoyVanBeek/feature/scenario_test_tools
    Add new package for scenario test tools
  * Fix formatting issue, passing too many args to str.format
  * Make executeables installable
  * Add license header to relevant files
  * Add new package for scenario test tools
  * Contributors: Felix Messmer, Loy van Beek, hyb

 -- Loy van Beek <lvb@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-scenario-test-tools (0.6.15-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-scenario-test-tools (0.6.14-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Tue, 06 Aug 2019 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.13-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Sun, 28 Jul 2019 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.12-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.11-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.10-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-scenario-test-tools (0.6.9-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Sat, 21 Jul 2018 13:27:00 -0000

ros-melodic-scenario-test-tools (0.6.8-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Sat, 21 Jul 2018 12:47:00 -0000

ros-melodic-scenario-test-tools (0.6.7-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-scenario-test-tools (0.6.6-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.5-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.4-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.3-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.2-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-scenario-test-tools (0.6.1-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-melodic-scenario-test-tools (0.6.0-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-melodic-scenario-test-tools (0.5.2-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-scenario-test-tools (0.5.1-1bionic) bionic; urgency=high



 -- Loy van Beek <lvb@mojin-robotics.de>  Wed, 26 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-scenario-test-tools
Section: misc
Priority: optional
Maintainer: Loy van Beek <lvb@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin, ros-melodic-cob-sound, ros-melodic-cob-srvs, ros-melodic-control-msgs, ros-melodic-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-scenario-test-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-move-base-msgs, ros-melodic-rospy, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf
Description: The scenario_test_tools package implements helpers for scriptable scenario testing.
 It allows to set up a test harness for eg. a state machine or other high level behavior by providing mocked implementations for various action servers and services that work together

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-scenario-test-tools//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
